Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class UnboundedCacheConfiguration

    java.lang.Object
      oracle.ifs.common.CacheConfiguration
          oracle.ifs.common.UnboundedCacheConfiguration

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public final class UnboundedCacheConfiguration

extends CacheConfiguration

A UnboundedCacheConfiguration is a bucket of parameters that govern the operation of an UnboundedCache.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`protected int` | `m_EstimatedItemCount` The estimated number of items in the cache.

Fields inherited from class oracle.ifs.common.CacheConfiguration
`m_Name`

Constructor Summary
`UnboundedCacheConfiguration()` Constructs a cache configuration.

Method Summary
`int` | `getEstimatedItemCount()` Gets the estimated number of items in the cache.
`void` | `setEstimatedItemCount(int estimatedItemCount)` Sets the estimated number of items in the cache.

Methods inherited from class oracle.ifs.common.CacheConfiguration
`clone, getName, setName`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_EstimatedItemCount

    protected int m_EstimatedItemCount

  Description copied from class: `UnboundedCacheConfiguration`
  The estimated number of items in the cache.

  (Unpublished)

Constructor Detail

### UnboundedCacheConfiguration

    public UnboundedCacheConfiguration()

  Constructs a cache configuration.

  (Unpublished)

Method Detail

### setEstimatedItemCount

    public final void setEstimatedItemCount(int estimatedItemCount)

  Description copied from class: `UnboundedCacheConfiguration`
  Sets the estimated number of items in the cache.

  Parameters:
    `estimatedItemCount` - the estimated number of items
  (Unpublished)

### getEstimatedItemCount

    public final int getEstimatedItemCount()

  Description copied from class: `UnboundedCacheConfiguration`
  Gets the estimated number of items in the cache.

  Returns:
    the estimated number of items
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD